Page MenuHome

Shader edit lags
Closed, ArchivedPublic

Description

System Information
Operating system: macOS High Sierra
Graphics card: Intel Iris Graphics 6100

Blender Version
Broken:
(2.80, hash: 6871402614f, 2018-12-11 23:57, as found on the splash screen)
Worked: (optional)

Shader editor lags horribly. In any conditions. almost impossible even to zoom in or out.
Had no such problems with 2.79 releases

Ty!

Details

Type
Bug

Event Timeline

Sebastian Parborg (zeddb) lowered the priority of this task from Needs Triage by Developer to Needs Information from User.Dec 17 2018, 4:41 PM

Please try newer blender beta builds from https://www.blender.org/download/

If that doesn't help, please attach the output of "--debug-gpu" and also try running with "--debug-gpu-force-workarounds" and see if that helps.

Philipp Oeser (lichtwerk) claimed this task.

Since last asking for information it has been 7 or more days, due to the policy of our bug tracker we will have to archive the report until the requested information is given.


Just downloaded latest build and unfortunately nothing changed. Debug GPU attached. ty

Philipp Oeser (lichtwerk) raised the priority of this task from Needs Information from User to Needs Triage by Developer.Apr 24 2019, 10:15 AM
Bastien Montagne (mont29) closed this task as Archived.Sep 16 2019, 6:59 PM
Bastien Montagne (mont29) claimed this task.

Thanks for the report, but you are manipulating several high-res textures on an integrated GPU from 2015, without even its own dedicated RAM… Not to mention that Apple gives very limited (to avoid saying nonexistent) support to OpenGL these days. So am afraid we cannot do much here, this is the price for having modern shading capabilities.

But you did. In 2.8 release version everything is ok again. So, one the one hand, of course thank you. On the other - you haven't tried to fix this problem and it was fixed occasionally.